# protx\_update\_service {disallowed} - Dash

#### Parameters

`submethod` - string

None

`proTxHash` - string (hex)

The hash of the provider transaction as hex in RPC byte order.

`ipAndPort` - string

IP and port in the form IP:PORT.

Must be unique on the network. Can be set to 0, which will require a ProUpServTx afterwards.

`operatorPubKey` - string (hex)

The operator public key. The private key does not have to be known. It has to match the private key which is later used when operating the masternode.

If set to an empty string, the currently active operator BLS public key is reused.

`operatorPayoutAddress` - string (hex)

Optional.

The Dash address used for operator reward payments. Only allowed when the ProRegTx had a non-zero operatorReward value.

If set to an empty string, the currently active payout address is reused.

`feeSourceAddress` - string

Optional.

If specified, the wallet will only use coins from this address to fund the ProTx. If not specified, payoutAddress will be used. The private key belonging to this address must be known in your wallet.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "protx",
"params": ["update_service", null, null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/dash-dash/dash_protx_update_service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
